Create a proxy

Base URL
https://{kibana_url}
  • POST /api/fleet/proxies
  • POST /s/{space_id}/api/fleet/proxies
Auth

Create a new Fleet proxy.

Required authorization

Privileges fleet-settings-all

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

certificate string nullable
certificate_authorities string nullable
certificate_key string nullable
id string · min length: 0
is_preconfigured boolean · default: false
name string · min length: 0 required
proxy_headers map string to boolean | number | string nullable
url string required

Responses

Successful response

application/json
item object required
certificate string nullable
certificate_authorities string nullable
certificate_key string nullable
id string · min length: 0 required
is_preconfigured boolean · default: false
name string · min length: 0 required
proxy_headers map string to boolean | number | string nullable
url string required

Bad Request

application/json
attributes object required
error string
errorType string
message string required
statusCode number
Base URL
https://{kibana_url}